Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.web.converters
[Java] Class ConvertersControllersTransformer

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.AbstractGrailsArtefactTransformer
          org.codehaus.groovy.grails.compiler.web.converters.ConvertersControllersTransformer

    @AstTransformer
    public class ConvertersControllersTransformer
    extends AbstractGrailsArtefactTransformer

Enhances controller classes with additional render methods specific to converters.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.util.regex.Pattern` | `CONTROLLER_PATTERN`

Fields inherited from class AbstractGrailsArtefactTransformer
CURRENT_PREFIX, METHOD_MISSING_METHOD_NAME, OBJECT_CLASS, PUBLIC_STATIC_MODIFIER, STATIC_METHOD_MISSING_METHOD_NAME

Method Summary
`java.lang.String` | `getArtefactType()`
`java.lang.Class` | `getInstanceImplementation()`
`protected org.codehaus.groovy.ast.AnnotationNode` | `getMarkerAnnotation()`
`java.lang.Class` | `getStaticImplementation()`
`protected boolean` | `requiresAutowiring()`
`boolean` | `shouldInject(java.net.URL url)`

Methods inherited from class AbstractGrailsArtefactTransformer
addApiLookupFieldAndSetter, addDelegateInstanceMethod, addDelegateStaticMethod, addEnhancedAnnotation, compareTo, getArtefactType, getArtefactTypes, getInstanceImplementation, getMarkerAnnotation, getStaticImplementation, hasArtefactAnnotation, isCandidateInstanceMethod, isStaticCandidateMethod, isStaticMethodExcluded, isStaticMethodIncluded, isValidArtefactType, isValidTargetClassNode, performInjection, performInjection, performInjectionInternal, performInjectionOnAnnotatedClass, performInjectionOnAnnotatedClass, performInstanceImplementationInjection, performStaticImplementationInjection, populateAutowiredApiLookupMethod, populateDefaultApiLookupMethod, requiresAutowiring, requiresStaticLookupMethod, resolveGenericsPlaceHolders, shouldSkipInjection

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CONTROLLER_PATTERN

    public static java.util.regex.Pattern CONTROLLER_PATTERN

Method Detail

### getArtefactType

    @java.lang.Override
    public java.lang.String getArtefactType()

### getInstanceImplementation

    @java.lang.Override
    public java.lang.Class getInstanceImplementation()

### getMarkerAnnotation

    @java.lang.Override
    protected org.codehaus.groovy.ast.AnnotationNode getMarkerAnnotation()

### getStaticImplementation

    @java.lang.Override
    public java.lang.Class getStaticImplementation()

### requiresAutowiring

    @java.lang.Override
    protected boolean requiresAutowiring()

### shouldInject

    public boolean shouldInject(java.net.URL url)

Groovy Documentation